C# Class CascadeSharp.TKFillet.ChFi2d.ChFi2d_FilletAPI

Exibir arquivo Open project: Oblikovati/CascadeSharp Class Usage Examples

Public Methods

Method Description
ChFi2d_FilletAPI ( ) : System
ChFi2d_FilletAPI ( ChFi2d_FilletAPI parameter1 ) : System
ChFi2d_FilletAPI ( TopoDS_Edge theEdge1, TopoDS_Edge theEdge2, gp_Pln thePlane ) : System
ChFi2d_FilletAPI ( TopoDS_Wire theWire, gp_Pln thePlane ) : System
Init ( TopoDS_Edge theEdge1, TopoDS_Edge theEdge2, gp_Pln thePlane ) : void
Init ( TopoDS_Wire theWire, gp_Pln thePlane ) : void
IsAnalytical ( TopoDS_Edge theEdge1, TopoDS_Edge theEdge2 ) : bool
NbResults ( gp_Pnt thePoint ) : int
Perform ( double theRadius ) : bool
Result ( gp_Pnt thePoint, TopoDS_Edge theEdge1, TopoDS_Edge theEdge2 ) : TopoDS_Edge
Result ( gp_Pnt thePoint, TopoDS_Edge theEdge1, TopoDS_Edge theEdge2, int iSolution ) : TopoDS_Edge

Method Details

ChFi2d_FilletAPI() public method

public ChFi2d_FilletAPI ( ) : System
return System

ChFi2d_FilletAPI() public method

public ChFi2d_FilletAPI ( ChFi2d_FilletAPI parameter1 ) : System
parameter1 ChFi2d_FilletAPI
return System

ChFi2d_FilletAPI() public method

public ChFi2d_FilletAPI ( TopoDS_Edge theEdge1, TopoDS_Edge theEdge2, gp_Pln thePlane ) : System
theEdge1 TopoDS_Edge
theEdge2 TopoDS_Edge
thePlane gp_Pln
return System

ChFi2d_FilletAPI() public method

public ChFi2d_FilletAPI ( TopoDS_Wire theWire, gp_Pln thePlane ) : System
theWire TopoDS_Wire
thePlane gp_Pln
return System

Init() public method

public Init ( TopoDS_Edge theEdge1, TopoDS_Edge theEdge2, gp_Pln thePlane ) : void
theEdge1 TopoDS_Edge
theEdge2 TopoDS_Edge
thePlane gp_Pln
return void

Init() public method

public Init ( TopoDS_Wire theWire, gp_Pln thePlane ) : void
theWire TopoDS_Wire
thePlane gp_Pln
return void

IsAnalytical() public method

public IsAnalytical ( TopoDS_Edge theEdge1, TopoDS_Edge theEdge2 ) : bool
theEdge1 TopoDS_Edge
theEdge2 TopoDS_Edge
return bool

NbResults() public method

public NbResults ( gp_Pnt thePoint ) : int
thePoint gp_Pnt
return int

Perform() public method

public Perform ( double theRadius ) : bool
theRadius double
return bool

Result() public method

public Result ( gp_Pnt thePoint, TopoDS_Edge theEdge1, TopoDS_Edge theEdge2 ) : TopoDS_Edge
thePoint gp_Pnt
theEdge1 TopoDS_Edge
theEdge2 TopoDS_Edge
return TopoDS_Edge

Result() public method

public Result ( gp_Pnt thePoint, TopoDS_Edge theEdge1, TopoDS_Edge theEdge2, int iSolution ) : TopoDS_Edge
thePoint gp_Pnt
theEdge1 TopoDS_Edge
theEdge2 TopoDS_Edge
iSolution int
return TopoDS_Edge